## zookeeper 3.9.2

=== zookeeper-client/zookeeper-client-c/CMakeLists.txt ===
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements.  See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership.  The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License.  You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

cmake_minimum_required(VERSION 3.5)

project(zookeeper VERSION 3.9.2)
set(email user@zookeeper.apache.org)
set(description "zookeeper C client")

list(APPEND CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/../../tools/cmake/Modules")

# general options
if(UNIX)
  add_compile_options(-Wall -fPIC)
elseif(WIN32)
  add_compile_options(/W3)
endif()
add_definitions(-DUSE_STATIC_LIB)

# TODO: Enable /WX and /W4 on Windows. Currently there are ~1000 warnings.
# TODO: Add Solaris support.
# TODO: Add a shared library option.
# TODO: Specify symbols to export.
# TODO: Generate doxygen documentation.

# Sync API option
option(WANT_SYNCAPI "Enables Sync API support" ON)
if(WANT_SYNCAPI)
  add_definitions(-DTHREADED)
endif()

# CppUnit option
if(WIN32 OR APPLE)
  # The tests do not yet compile on Windows or macOS,
  # so we set this to off by default.
  #
  # Note that CMake does not have expressions except in conditionals,
  # so we're left with this if/else/endif pattern.
  set(DEFAULT_WANT_CPPUNIT OFF)
else()
  set(DEFAULT_WANT_CPPUNIT ON)
endif()
option(WANT_CPPUNIT "Enables CppUnit and tests" ${DEFAULT_WANT_CPPUNIT})

# SOCK_CLOEXEC
option(WANT_SOCK_CLOEXEC "Enables SOCK_CLOEXEC on sockets" OFF)
include(CheckSymbolExists)
check_symbol_exists(SOCK_CLOEXEC sys/socket.h HAVE_SOCK_CLOEXEC)
if(WANT_SOCK_CLOEXEC AND HAVE_SOCK_CLOEXEC)
  set(SOCK_CLOEXEC_ENABLED 1)
endif()

# Cyrus SASL 2.x
option(WITH_CYRUS_SASL "turn ON/OFF Cyrus SASL 2.x support, or define SASL library location (default: ON)" ON)
message("-- using WITH_CYRUS_SASL=${WITH_CYRUS_SASL}")
if(NOT WITH_CYRUS_SASL STREQUAL "OFF")
  if(NOT WITH_CYRUS_SASL STREQUAL "ON")
    set(CYRUS_SASL_ROOT_DIR "${WITH_CYRUS_SASL}")
  endif()
  find_package(CyrusSASL)
  if(CYRUS_SASL_FOUND)
    message("-- Cyrus SASL 2.x found! will build with SASL support.")
  else()
    message("-- WARNING: unable to find Cyrus SASL 2.x! will build without SASL support.")
  endif()
endif()

# The function `to_have(in out)` converts a header name like `arpa/inet.h`
# into an Autotools style preprocessor definition `HAVE_ARPA_INET_H`.
# This is then set or unset in `configure_file()` step.
#
# Note that CMake functions do not have return values; instead an "out"
# variable must be passed, and explicitly set with parent scope.
function(to_have in out)
  string(TOUPPER ${in} str)
  string(REGEX REPLACE "/|\\." "_" str ${str})
  set(${out} "HAVE_${str}" PARENT_SCOPE)
endfunction()

# include file checks
foreach(f generated/zookeeper.jute.h generated/zookeeper.jute.c)
  if(EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/${f}")
    to_have(${f} name)
    set(${name} 1)
  else()
    message(FATAL_ERROR
      "jute files are missing!\n"
      "Please run 'ant compile_jute' while in the ZooKeeper top level directory.")
  endif()
endforeach()

# header checks
include(CheckIncludeFile)
set(check_headers
  arpa/inet.h
  dlfcn.h
  fcntl.h
  inttypes.h
  memory.h
  netdb.h
  netinet/in.h
  stdint.h
  stdlib.h
  string.h
  strings.h
  sys/socket.h
  sys/stat.h
  sys/time.h
  sys/types.h
  unistd.h
  sys/utsname.h)

foreach(f ${check_headers})
  to_have(${f} name)
  check_include_file(${f} ${name})
endforeach()

# function checks
include(CheckFunctionExists)
set(check_functions
  getcwd
  gethostbyname
  gethostname
  getlogin
  getpwuid_r
  gettimeofday
  getuid
  memmove
  memset
  poll
  socket
  strchr
  strdup
  strerror
  strtol)

foreach(fn ${check_functions})
  to_have(${fn} name)
  check_function_exists(${fn} ${name})
endforeach()

# library checks
set(check_libraries rt m pthread)
foreach(lib ${check_libraries})
  to_have("lib${lib}" name)
  find_library(${name} ${lib})
endforeach()

# IPv6 check
include(CheckStructHasMember)
check_struct_has_member("struct sockaddr_in6" sin6_addr "netinet/in.h" ZOO_IPV6_ENABLED)

# configure
configure_file(cmake_config.h.in ${CMAKE_CURRENT_BINARY_DIR}/include/config.h)

# hashtable library
set(hashtable_sources src/hashtable/hashtable_itr.c src/hashtable/hashtable.c)
add_library(hashtable STATIC ${hashtable_sources})
target_include_directories(hashtable PUBLIC include)
target_link_libraries(hashtable PUBLIC $<$<OR:$<PLATFORM_ID:Linux>,$<PLATFORM_ID:FreeBSD>>:m>)

# zookeeper library
set(zookeeper_sources
  src/zookeeper.c
  src/recordio.c
  generated/zookeeper.jute.c
  src/zk_log.c
  src/zk_hashtable.c
  src/addrvec.c)

if(WANT_SYNCAPI)
  list(APPEND zookeeper_sources src/mt_adaptor.c)
else()
  list(APPEND zookeeper_sources src/st_adaptor.c)
endif()

if(CYRUS_SASL_FOUND)
  list(APPEND zookeeper_sources src/zk_sasl.c)
endif()

if(WIN32)
  list(APPEND zookeeper_sources src/winport.c)
endif()

add_library(zookeeper STATIC ${zookeeper_sources})
target_include_directories(zookeeper PUBLIC include ${CMAKE_CURRENT_BINARY_DIR}/include generated)
target_link_libraries(zookeeper PUBLIC
  hashtable
  $<$<PLATFORM_ID:Linux>:rt> # clock_gettime
  $<$<PLATFORM_ID:Windows>:ws2_32>) # Winsock 2.0

option(WITH_OPENSSL "turn ON/OFF SSL support, or define openssl library location (default: ON)" ON)
message("-- using WITH_OPENSSL=${WITH_OPENSSL}")
if(NOT WITH_OPENSSL STREQUAL "OFF")
  if(NOT WITH_OPENSSL STREQUAL "ON")
    set(OPENSSL_ROOT_DIR,${WITH_OPENSSL})
  endif()
  find_package(OpenSSL)
  if(OPENSSL_FOUND)
    target_compile_definitions(zookeeper PUBLIC HAVE_OPENSSL_H)
    target_link_libraries(zookeeper PUBLIC OpenSSL::SSL OpenSSL::Crypto)
    message("-- OpenSSL libraries found! will build with SSL support.")
  else()
    message("-- WARNING: unable to find OpenSSL libraries! will build without SSL support.")
  endif()
endif()

if(WANT_SYNCAPI AND NOT WIN32)
  find_package(Threads REQUIRED)
  target_link_libraries(zookeeper PUBLIC Threads::Threads)
endif()

if(CYRUS_SASL_FOUND)
  target_compile_definitions(zookeeper PUBLIC HAVE_CYRUS_SASL_H)
  target_link_libraries(zookeeper PUBLIC CyrusSASL)
endif()

# cli executable
add_executable(cli src/cli.c)
target_link_libraries(cli zookeeper)

# load_gen executable
if(WANT_SYNCAPI AND NOT WIN32)
  add_executable(load_gen src/load_gen.c)
  target_link_libraries(load_gen zookeeper)
endif()

# tests
set(test_sources
  tests/TestDriver.cc
  tests/LibCMocks.cc
  tests/LibCSymTable.cc
  tests/MocksBase.cc
  tests/ZKMocks.cc
  tests/Util.cc
  tests/ThreadingUtil.cc
  tests/TestZookeeperInit.cc
  tests/TestZookeeperClose.cc
  tests/TestReconfig.cc
  tests/TestReconfigServer.cc
  tests/TestClientRetry.cc
  tests/TestOperations.cc
  tests/TestMulti.cc
  tests/TestWatchers.cc
  tests/TestClient.cc
  tests/ZooKeeperQuorumServer.cc
  tests/TestReadOnlyClient.cc
  tests/TestLogClientEnv.cc)

if(WANT_SYNCAPI)
  list(APPEND test_sources tests/PthreadMocks.cc)
endif()

if(WANT_CPPUNIT)
  set (CMAKE_CXX_STANDARD 11)
  add_executable(zktest ${test_sources})
  target_include_directories(zktest PRIVATE ${CMAKE_CURRENT_SOURCE_DIR})

  target_compile_definitions(zktest
    PRIVATE -DZKSERVER_CMD="${CMAKE_CURRENT_SOURCE_DIR}/tests/zkServer.sh")
  # TODO: Use `find_library()` for `cppunit`.
  target_link_libraries(zktest zookeeper cppunit dl)

  # This reads the link flags from the file `tests/wrappers.opt` into
  # the variable `symbol_wrappers` for use in `target_link_libraries`.
  # It is a holdover from the original build system.
  file(STRINGS tests/wrappers.opt symbol_wrappers)
  if(WANT_SYNCAPI)
    file(STRINGS tests/wrappers-mt.opt symbol_wrappers_mt)
  endif()

  target_link_libraries(zktest ${symbol_wrappers} ${symbol_wrappers_mt})

  enable_testing()
  add_test(NAME zktest_runner COMMAND zktest)
  set_property(TEST zktest_runner PROPERTY ENVIRONMENT
    "ZKROOT=${CMAKE_CURRENT_SOURCE_DIR}/../.."
    "CLASSPATH=$CLASSPATH:$CLOVER_HOME/lib/clover*.jar")
endif()

=== debian/changelog ===
zookeeper (3.9.2-2) unstable; urgency=medium

  * Team upload
  * Raising Standards version to 4.7.0 (no change)
  * Increasing time limit in ClientSSLReloadTest (Closes: #1069540)
  * Dropping unused B-D on liblog4cxx-dev (Closes: #1027732)

 -- Pierre Gruet <pgt@debian.org>  Mon, 06 May 2024 23:40:24 +0200

zookeeper (3.9.2-1) unstable; urgency=medium

  * Team upload
  * New upstream version 3.9.2
  * Bug fix: CVE-2024-23944 (Closes: #1066947):
    An information disclosure in persistent watchers handling was found in
    Apache ZooKeeper due to missing ACL check.  It allows an attacker to
    monitor child znodes by attaching a persistent watcher (addWatch
    command) to a parent which the attacker has already access
    to. ZooKeeper server doesn't do ACL check when the persistent watcher
    is triggered and as a consequence, the full path of znodes that a
    watch event gets triggered upon is exposed to the owner of the
    watcher. It's important to note that only the path is exposed by this
    vulnerability, not the data of znode, but since znode path can contain
    sensitive information like user name or login ID, this issue is
    potentially critical.
  * Let sysvinit init script depend on networking (Closes: #1025042)
  * Add salsa CI
  * Refresh patches

 -- Bastien Roucariès <rouca@debian.org>  Sun, 24 Mar 2024 21:19:51 +0000

=== debian/control ===
Source: zookeeper
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: James Page <james.page@ubuntu.com>,
 tony mancill <tmancill@debian.org>
Build-Depends:
 autoconf,
 automake,
 default-jdk,
 default-jdk-doc,
 dh-python,
 help2man,
 javacc,
 javahelper,
 junit5,
 libasm-java,
 libbcpkix-java,
 libbcprov-java,
 libboost-dev,
 libbuild-helper-maven-plugin-java,
 libcommons-cli-java,
 libcommons-collections4-java,
 libcommons-io-java,
 libcppunit-dev,
 libdropwizard-metrics-java,
 libexec-maven-plugin-java,
 libfindbugs-annotations-java,
 libhamcrest-java,
 libjackson2-databind-java,
 libjaxrs-api-java,
 libjersey1-client-java,
 libjersey1-core-java,
 libjersey1-json-java,
 libjersey1-server-java,
 libjersey1-servlet-java,
 libjline2-java,
 liblogback-java,
 libmockito-java,
 libjavacc-maven-plugin-java,
 libjetty9-java,
 libjetty9-extra-java,
 libmaven-antrun-plugin-java,
 libmaven-install-plugin-java,
 libmaven-javadoc-plugin-java,
 libmaven-source-plugin-java,
 libnetty-java,
 libnetty-tcnative-java,
 libservlet-api-java,
 libslf4j-java,
 libsnappy-java,
 libtool,
 libxml2-dev,
 maven-debian-helper,
 pkg-config,
 procps,
 python3-all-dev,
 debhelper-compat (= 13)
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/java-team/zookeeper.git
Vcs-Browser: https://salsa.debian.org/java-team/zookeeper
Homepage: https://zookeeper.apache.org
Rules-Requires-Root: no

Package: libzookeeper-java
Architecture: all
Depends:
 ${java:Depends},
 libnetty-tcnative-java,
 liblog4j1.2-java,
 ${misc:Depends}
Suggests: libzookeeper-java-doc
Description: Core Java libraries for zookeeper
 ZooKeeper is a centralized, reliable, service for maintaining configuration
 information, naming, providing distributed synchronization, and group
 services. All of these kinds of services are used in some form or another by
 distributed applications.
 .
 This package contains the java .jar files.

Package: zookeeper
Architecture: all
Depends:
 adduser,
 default-jre,
 libzookeeper-java (= ${binary:Version}),
 ${misc:Depends}
Description: High-performance coordination service for distributed applications
 ZooKeeper is a centralized, reliable, service for maintaining configuration
 information, naming, providing distributed synchronization, and group
 services. All of these kinds of services are used in some form or another by
 distributed applications.
 .
 This package contains the shell scripts and an example configuration but does
 not automatically start up the service. The example configuration is installed
 with the update-alternatives mechanism.

Package: zookeeperd
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: zookeeper (= ${binary:Version}), ${misc:Depends}
Description: Init control scripts for zookeeper
 ZooKeeper is a centralized, reliable, service for maintaining configuration
 information, naming, providing distributed synchronization, and group
 services. All of these kinds of services are used in some form or another by
 distributed applications.
 .
 This package contains init.d scripts to start and stop zookeeper and starts
 zookeeper on installation.

Package: libzookeeper-java-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: API Documentation for zookeeper
 ZooKeeper is a centralized, reliable, service for maintaining configuration
 information, naming, providing distributed synchronization, and group
 services. All of these kinds of services are used in some form or another by
 distributed applications.

Package: libzookeeper-mt2
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Multi threaded C bindings for zookeeper
 ZooKeeper is a centralized, reliable, service for maintaining configuration
 information, naming, providing distributed synchronization, and group
 services. All of these kinds of services are used in some form or another by
 distributed applications.
 .
 This package contains the multi-threaded libraries for the C bindings.

Package: libzookeeper-st2
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Single threaded C bindings for zookeeper
 ZooKeeper is a centralized, reliable, service for maintaining configuration
 information, naming, providing distributed synchronization, and group
 services. All of these kinds of services are used in some form or another by
 distributed applications.
 .
 This package contains the single-threaded libraries for the C bindings.

Package: libzookeeper-mt-dev
Architecture: any
Section: libdevel
Replaces: libzookeeper-dev
Provides: libzookeeper-dev
Depends:
 libzookeeper-mt2 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Conflicts: libzookeeper-dev
Description: Development files for multi threaded zookeeper C bindings
 ZooKeeper is a centralized, reliable, service for maintaining configuration
 information, naming, providing distributed synchronization, and group
 services. All of these kinds of services are used in some form or another by
 distributed applications.
 .
 This package contains the development files for the multi threaded C bindings.

Package: libzookeeper-st-dev
Architecture: any
Section: libdevel
Replaces: libzookeeper-dev
Provides: libzookeeper-dev
Depends:
 libzookeeper-st2 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Conflicts: libzookeeper-dev
Description: Development files for single threaded zookeeper C bindings
 ZooKeeper is a centralized, reliable, service for maintaining configuration
 information, naming, providing distributed synchronization, and group
 services. All of these kinds of services are used in some form or another by
 distributed applications.
 .
 This package contains the development files for the single threaded C bindings.

Package: zookeeper-bin
Architecture: any
Section: misc
Depends:
 libzookeeper-mt2 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: Command line utilities for zookeeper
 ZooKeeper is a centralized, reliable, service for maintaining configuration
 information, naming, providing distributed synchronization, and group
 services. All of these kinds of services are used in some form or another by
 distributed applications.
 .
 This package contains additional zookeeper command line utilities using the C
 binding. See the "zookeeper" package for command line utilities using the java
 binding.

Package: python3-zookeeper
Architecture: any
Section: python
Depends:
 libzookeeper-mt2 (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends}
Description: Python bindings for zookeeper
 ZooKeeper is a centralized, reliable, service for maintaining configuration
 information, naming, providing distributed synchronization, and group
 services. All of these kinds of services are used in some form or another by
 distributed applications.
 .
 This package contains the Python bindings.

## zookeeper 3.9.3

=== zookeeper-client/zookeeper-client-c/CMakeLists.txt ===
--- 
+++ 
@@ -16,7 +16,7 @@
 
 cmake_minimum_required(VERSION 3.5)
 
-project(zookeeper VERSION 3.9.2)
+project(zookeeper VERSION 3.9.3)
 set(email user@zookeeper.apache.org)
 set(description "zookeeper C client")

=== debian/changelog ===
zookeeper (3.9.3-1build3) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 20 Oct 2025 15:11:03 +0000

zookeeper (3.9.3-1build2) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 20 May 2025 12:23:28 +0200

zookeeper (3.9.3-1build1) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 21:38:32 +0000

zookeeper (3.9.3-1) unstable; urgency=medium

  * Team upload
  * New upstream version 3.9.3:
    - Fixes CVE-2024-51504 (Closes: #1087275)
  * Refreshing patches
  * Adding Build-Depends on python3-setuptools (Closes: #1080846)
  * Updating the path to the built javadoc for installation in the -doc package
  * Adding a patch for the Debian-package version of netty
  * Updating the list of tests to skip for network reasons

 -- Pierre Gruet <pgt@debian.org>  Tue, 12 Nov 2024 17:43:34 +0100

=== debian/rules ===
#!/usr/bin/make -f

export LC_ALL=C.UTF-8
export JAVA_HOME=/usr/lib/jvm/default-java

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

PYTHON3S:=$(shell py3versions -vr)

%:
	dh $@ --with javahelper --with python3

# The configure step is handled through Maven for -arch and -indep builds.
# It has to be run only once.
override_dh_auto_configure-arch override_dh_auto_configure-indep:
	if [ ! -f debian/mavenConfigureDone ]; then \
	        /usr/share/maven-debian-helper/copy-repo.sh $$(readlink -f debian) && \
	        mh_patchpoms -plibzookeeper-java --debian-build --keep-pom-version --maven-repo=$$(readlink -f debian/maven-repo) && \
	        touch debian/mavenConfigureDone; \
	fi

override_dh_auto_build-indep:
	dh_auto_build -- package javadoc:jar javadoc:aggregate -Pfull-build

# Running the Java build first, as it also builds the C++ part.
override_dh_auto_build-arch: override_dh_auto_build-indep
	# Build Python bindings in addition
	cd zookeeper-contrib/zookeeper-contrib-zkpython && \
		set -e ; set -x ; for i in $(PYTHON3S) ; do \
			python$$i src/python/setup.py build --build-base=$(CURDIR)/build ; \
		done

# Empty override: no need to call the Maven stuff for the arch-dependent packages
override_dh_auto_install-arch:

override_dh_auto_install-indep:
	dh_auto_install -i -- -Pfull-build

override_dh_install-arch:
	# Installing the Python artifacts in debian/tmp before calling dh_install
	cd zookeeper-contrib/zookeeper-contrib-zkpython && \
		set -e ; set -x ; for i in $(PYTHON3S) ; do \
			python$$i src/python/setup.py build --build-base=$(CURDIR)/build \
				install --root=$(CURDIR)/debian/tmp --install-layout=deb ;\
		done

	dh_install -a

override_dh_install-indep:
	dh_install -i
	# Also installing the configuration.xsl and zoo.cfg which are in conf/.
	cp conf/configuration.xsl debian/zookeeper/etc/zookeeper/conf_example/
	cp conf/zoo_sample.cfg debian/zookeeper/etc/zookeeper/conf_example/zoo.cfg

# Empty override for the -arch part, as we currently run no tests othen than
# the Java ones. See the commented block below for some perspective.
override_dh_auto_test-arch:

# In former versions a test could be run for the -arch part. To be reworked.
#ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
## Limit architectures which execute tests as some
## non x86 archs can be a bit racey.
#TEST_ARCH=i386 amd64
#ifneq (,$(findstring $(DEB_BUILD_ARCH), $(TEST_ARCH)))
#TEST_JARS=jline log4j-1.2 xercesImpl xmlParserAPIs netty slf4j-api slf4j-log4j12
#override_dh_auto_test-arch:
#	# C testing starts/stops zookeeper
#	# this ensures that all the right classes are found
#	for jar in $(TEST_JARS); do \
#		ln -sf /usr/share/java/$$jar.jar build/lib/$$jar.jar; \
#	done;
#	# Execute multi-threaded test suite
#	# Disable on Ubuntu and Debian due to glibc 2.17 incompatibility
#	# https://issues.apache.org/jira/browse/ZOOKEEPER-1646
#	if ! dpkg-vendor --derives-from debian; then \
#		$(MAKE) -C src/c zktest-mt; \
#		cd src/c && ./zktest-mt; \
#	fi;
#endif
#endif

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build
	find . -name "*.jar" -delete
	-rm zookeeper-client/zookeeper-client-c/generated/*
	[ ! -f zookeeper-client/zookeeper-client-c/Makefile ] || $(MAKE) -C zookeeper-client/zookeeper-client-c distclean
	-rm -rf zookeeper-client/zookeeper-client-c/Makefile.in
	-rm -rf zookeeper-client/zookeeper-client-c/aclocal.m4
	-rm -rf zookeeper-client/zookeeper-client-c/autom4te.cache
	-rm -rf zookeeper-client/zookeeper-client-c/compile
	-rm -rf zookeeper-client/zookeeper-client-c/config.guess
	-rm -rf zookeeper-client/zookeeper-client-c/config.sub
	-rm -rf zookeeper-client/zookeeper-client-c/configure
	-rm -rf zookeeper-client/zookeeper-client-c/ltmain.sh
	-rm -rf zookeeper-client/zookeeper-client-c/TEST-*
	-rm debian/mavenConfigureDone

override_dh_installinit:
	dh_installinit --name=zookeeper

## zookeeper 3.9.4

=== zookeeper-client/zookeeper-client-c/CMakeLists.txt ===
--- 
+++ 
@@ -16,7 +16,7 @@
 
 cmake_minimum_required(VERSION 3.5)
 
-project(zookeeper VERSION 3.9.3)
+project(zookeeper VERSION 3.9.4)
 set(email user@zookeeper.apache.org)
 set(description "zookeeper C client")
 
@@ -249,6 +249,7 @@
   tests/ThreadingUtil.cc
   tests/TestZookeeperInit.cc
   tests/TestZookeeperClose.cc
+  tests/TestSASLAuth.cc
   tests/TestReconfig.cc
   tests/TestReconfigServer.cc
   tests/TestClientRetry.cc

=== zookeeper-contrib/zookeeper-contrib-huebrowser/zkui/Makefile ===
#  Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements.  See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership.  The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License.  You may obtain a copy of the License at

#     http://www.apache.org/licenses/LICENSE-2.0

# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

ifeq ($(ROOT),)
  $(error "Error: Expect the environment variable $$ROOT to point to the Desktop installation")
endif

include $(ROOT)/Makefile.sdk

=== debian/changelog ===
zookeeper (3.9.4-1) unstable; urgency=medium

  * New upstream version 3.9.4 (Closes: #1116497)
    - Fixes CVE-2025-58457 (Closes: #1116339)
  * Update B-D on pkg-config to pkgconf
  * Freshen years in debian/copyright
  * Bump Standards-Version to 4.7.2

 -- tony mancill <tmancill@debian.org>  Mon, 29 Sep 2025 10:16:50 -0700

zookeeper (3.9.3-2) unstable; urgency=medium

  * Disable test suite due to instabilty (Closes: #1102062)
    Set ENABLE_TESTS=true to run during package build.

 -- tony mancill <tmancill@debian.org>  Thu, 07 Aug 2025 15:48:17 -0700

=== debian/control ===
--- 
+++ 
@@ -52,11 +52,12 @@
  libtool,
  libxml2-dev,
  maven-debian-helper,
- pkg-config,
+ pkgconf,
  procps,
  python3-all-dev,
+ python3-setuptools,
  debhelper-compat (= 13)
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/java-team/zookeeper.git
 Vcs-Browser: https://salsa.debian.org/java-team/zookeeper
 Homepage: https://zookeeper.apache.org

=== debian/rules ===
--- 
+++ 
@@ -52,6 +52,13 @@
 	cp conf/configuration.xsl debian/zookeeper/etc/zookeeper/conf_example/
 	cp conf/zoo_sample.cfg debian/zookeeper/etc/zookeeper/conf_example/zoo.cfg
 
+override_dh_auto_test-indep:
+ifeq ($(ENABLE_TESTS),true)
+	dh_auto_test -i
+else
+	echo "Skipping tests unless ENABLE_TESTS=true. See Debian bug #1102062"
+endif
+
 # Empty override for the -arch part, as we currently run no tests othen than
 # the Java ones. See the commented block below for some perspective.
 override_dh_auto_test-arch:

=== debian/watch ===
version=4
opts="downloadurlmangle=s|zookeeper-@ANY_VERSION@/$|zookeeper-$1/apache-zookeeper-$1.tar.gz|, \
  filenamemangle=s|zookeeper-@ANY_VERSION@/|zookeeper-$1.tar.gz|, pgpsigurlmangle=s/$/.asc/" \
  https://archive.apache.org/dist/zookeeper/ .*/zookeeper-@ANY_VERSION@/

## zookeeper monitor-0.2.4

=== requirements.txt ===
tornado
anyconfig
pyaml
